# Variable LayoutExports

LayoutExports: (opts: RenderOpts) => string

#### Type Declaration

- - (opts: RenderOpts): string

  - #### Parameters

    - opts: RenderOpts

      - ##### `Optional` alerts?: { msg: string; type: "error" | "danger" | "success" | "warning" }[]

      - ##### `Optional` blockDispatch?: any

      - ##### `Optional` hints?: any

      - ##### `Optional` is_owner?: boolean

      - ##### layout: any

      - ##### `Optional` req?: any

      - ##### `Optional` role?: any

    #### Returns string

- Defined in layout.ts:163
- Defined in layout.ts:1074